#define compat 1

Summary: Get simple informations of image
Summary(ko): 이미지의 간단한 정보를 수집
Name: libimginfo%{?compat}
Version: 1.0.2
Release: 1%{?dist}
Epoch: 100
License: LBPLv1 or LGPL
Group: System Environment/Libraries
Source: http://mirror.oops.org/pub/oops/%{name}/%{name}-%{version}.tar.bz2
URL: http://oops.org
Buildroot: /var/tmp/%{name}-%{version}-root

%description
Get width, height, bits and channels information of JPEG/PNG/GIF images,

%package devel
Summary: Header and object files for development using libimginfo%{?compat}
Summary(ko): libimginfo%{?compat} 개발을 위한 헤더와 목적파일
Requires: libimginfo%{?compat}
Group: System Environment/Libraries

%description devel
This package contains the header and object files necessary for developing
programs which use the libimginfo%{?compat} libraries.

%prep
rm -rf %{buildroot}
%setup -q

%build
%configure %{?compat:--with-compat=%{compat}}

%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0755,root,root)
%{_libdir}/libimginfo%{?compat}.so.*

%files devel
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/imginfo%{?compat}-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*.h
%{!?compat:%{_mandir}/man3/*.3*}
%{!?compat:%{_mandir}/ko/man3/*.3*}
%{_datadir}/aclocal/imginfo.m4

%changelog
* Wed Jan 14 2015 JoungKyun.Kim <http://oops.org> - 100:1.0.2-1%{?dist}
- rebuild on AN3

* Sun Dec 25 2011 JoungKyun.Kim <http://oops.org> - 1.0.2-1%{?dist}
- update r82 (1.0.2-dev)

* Tue Feb  1 2011 JoungKyun.Kim <http://oops.org> - 1.0.1-1%{?dist}
- fixed scan failed other jepg spec except JFIF/EXIF

* Mon Jan 31 2011 JoungKyun.Kim <http://oops.org> - 1.0.0-1%{?dist}
- first build

